package com.toughra.ustadmobile.databinding;
import com.toughra.ustadmobile.R;
import com.toughra.ustadmobile.BR;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.view.View;
@SuppressWarnings("unchecked")
public class ItemChatListItemBindingImpl extends ItemChatListItemBinding implements com.toughra.ustadmobile.generated.callback.OnClickListener.Listener {

    @Nullable
    private static final androidx.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    @Nullable
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = null;
        sViewsWithIds = null;
    }
    // views
    @NonNull
    private final androidx.constraintlayout.widget.ConstraintLayout mboundView0;
    // variables
    @Nullable
    private final android.view.View.OnClickListener mCallback24;
    // values
    // listeners
    // Inverse Binding Event Handlers

    public ItemChatListItemBindingImpl(@Nullable androidx.databinding.DataBindingComponent bindingComponent, @NonNull View root) {
        this(bindingComponent, root, mapBindings(bindingComponent, root, 6, sIncludes, sViewsWithIds));
    }
    private ItemChatListItemBindingImpl(androidx.databinding.DataBindingComponent bindingComponent, View root, Object[] bindings) {
        super(bindingComponent, root, 0
            , (android.widget.TextView) bindings[2]
            , (android.widget.TextView) bindings[4]
            , (de.hdodenhof.circleimageview.CircleImageView) bindings[1]
            , (android.widget.TextView) bindings[5]
            , (android.widget.TextView) bindings[3]
            );
        this.itemChatListItemChatTitle.setTag(null);
        this.itemChatListItemNumberMessages.setTag(null);
        this.itemChatListItemPersonPic.setTag(null);
        this.itemChatListItemRecentMessage.setTag(null);
        this.itemChatListItemRecentMessageTimestamp.setTag(null);
        this.mboundView0 = (androidx.constraintlayout.widget.ConstraintLayout) bindings[0];
        this.mboundView0.setTag(null);
        setRootTag(root);
        // listeners
        mCallback24 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 1);
        invalidateAll();
    }

    @Override
    public void invalidateAll() {
        synchronized(this) {
                mDirtyFlags = 0x4L;
        }
        requestRebind();
    }

    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        return false;
    }

    @Override
    public boolean setVariable(int variableId, @Nullable Object variable)  {
        boolean variableSet = true;
        if (BR.chat == variableId) {
            setChat((com.ustadmobile.lib.db.entities.ChatWithLatestMessageAndCount) variable);
        }
        else if (BR.presenter == variableId) {
            setPresenter((com.ustadmobile.core.controller.ChatListPresenter) variable);
        }
        else {
            variableSet = false;
        }
            return variableSet;
    }

    public void setChat(@Nullable com.ustadmobile.lib.db.entities.ChatWithLatestMessageAndCount Chat) {
        this.mChat = Chat;
        synchronized(this) {
            mDirtyFlags |= 0x1L;
        }
        notifyPropertyChanged(BR.chat);
        super.requestRebind();
    }
    public void setPresenter(@Nullable com.ustadmobile.core.controller.ChatListPresenter Presenter) {
        this.mPresenter = Presenter;
        synchronized(this) {
            mDirtyFlags |= 0x2L;
        }
        notifyPropertyChanged(BR.presenter);
        super.requestRebind();
    }

    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
        }
        return false;
    }

    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        long chatLatestMessageTimestamp = 0;
        int chatUnreadMessageCount = 0;
        long chatOtherPersonUid = 0;
        java.lang.String javaLangStringChatUnreadMessageCount = null;
        com.ustadmobile.port.android.view.util.ForeignKeyAttachmentUriAdapter personDetailFragmentFOREIGNKEYADAPTERPERSON = null;
        java.lang.String chatGetChatName = null;
        com.ustadmobile.lib.db.entities.ChatWithLatestMessageAndCount chat = mChat;
        com.ustadmobile.core.controller.ChatListPresenter presenter = mPresenter;
        java.lang.String chatLatestMessage = null;

        if ((dirtyFlags & 0x4L) != 0) {

                // read PersonDetailFragment.FOREIGNKEYADAPTER_PERSON
                personDetailFragmentFOREIGNKEYADAPTERPERSON = com.ustadmobile.port.android.view.PersonDetailFragment.getFOREIGNKEYADAPTER_PERSON();
        }
        if ((dirtyFlags & 0x5L) != 0) {



                if (chat != null) {
                    // read chat.latestMessageTimestamp
                    chatLatestMessageTimestamp = chat.getLatestMessageTimestamp();
                    // read chat.unreadMessageCount
                    chatUnreadMessageCount = chat.getUnreadMessageCount();
                    // read chat.otherPersonUid
                    chatOtherPersonUid = chat.getOtherPersonUid();
                    // read chat.getChatName()
                    chatGetChatName = chat.getChatName();
                    // read chat.latestMessage
                    chatLatestMessage = chat.getLatestMessage();
                }


                // read ("") + (chat.unreadMessageCount)
                javaLangStringChatUnreadMessageCount = ("") + (chatUnreadMessageCount);
        }
        // batch finished
        if ((dirtyFlags & 0x5L) != 0) {
            // api target 1

            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.itemChatListItemChatTitle, chatGetChatName);
            com.ustadmobile.port.android.view.binding.DatePickerBindingAdapter2Kt.setChatCountUnreadMessagesVisibility(this.itemChatListItemNumberMessages, chat);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.itemChatListItemNumberMessages, javaLangStringChatUnreadMessageCount);
            com.ustadmobile.port.android.view.binding.ImageViewBindingsKt.setImageForeignKey(this.itemChatListItemPersonPic, chatOtherPersonUid, (java.lang.String)null);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.itemChatListItemRecentMessage, chatLatestMessage);
            com.ustadmobile.port.android.view.binding.DatePickerBindingAdapter2Kt.setDateWithRelativeTime(this.itemChatListItemRecentMessageTimestamp, chatLatestMessageTimestamp);
        }
        if ((dirtyFlags & 0x4L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.ImageViewBindingsKt.setImageForeignKeyAdapter(this.itemChatListItemPersonPic, personDetailFragmentFOREIGNKEYADAPTERPERSON);
            com.ustadmobile.port.android.view.binding.ImageViewBindingsKt.imageForeignKeyPlaceholder(this.itemChatListItemPersonPic, androidx.appcompat.content.res.AppCompatResources.getDrawable(itemChatListItemPersonPic.getContext(), R.drawable.ic_account_circle_black_24dp));
            com.ustadmobile.port.android.view.binding.ViewBindingsKt.setSelectableViewHelper(this.mboundView0, (com.ustadmobile.port.android.view.util.SelectableViewHelper)null, mCallback24, (com.ustadmobile.port.android.view.binding.OnSelectionStateChangedListener)null);
        }
    }
    // Listener Stub Implementations
    // callback impls
    public final void _internalCallbackOnClick(int sourceId , android.view.View callbackArg_0) {
        // localize variables for thread safety
        // presenter != null
        boolean presenterJavaLangObjectNull = false;
        // chat
        com.ustadmobile.lib.db.entities.ChatWithLatestMessageAndCount chat = mChat;
        // presenter
        com.ustadmobile.core.controller.ChatListPresenter presenter = mPresenter;



        presenterJavaLangObjectNull = (presenter) != (null);
        if (presenterJavaLangObjectNull) {



            presenter.handleClickEntry(chat);
        }
    }
    // dirty flag
    private  long mDirtyFlags = 0xffffffffffffffffL;
    /* flag mapping
        flag 0 (0x1L): chat
        flag 1 (0x2L): presenter
        flag 2 (0x3L): null
    flag mapping end*/
    //end
}